---
title: Breadcrumb Navigation
slug: Web/CSS/Layout_cookbook/Breadcrumb_Navigation
tags:
  - CSS
  - Guide
  - Layout
  - Navigation
  - cookbook
  - flexbox
---
<div>{{CSSRef}}</div>

<p class="summary">Breadcrumb navigation helps the user to understand their location in the website by providing a breadcrumb trail back to the start page.</p>

<p><img alt="Links displayed inline with separators" src="https://mdn.mozillademos.org/files/16228/breadcrumb-navigation.png" style="height: 108px; width: 1268px;"></p>

<h2 id="Requirements">Requirements</h2>

<p>The items typically display inline with a separator to indicate a hierarchy between individual pages.</p>

<h2 id="Recipe">Recipe</h2>

<p>{{EmbedGHLiveSample("css-examples/css-cookbook/breadcrumb-navigation.html", '100%', 530)}}</p>

<div class="note">
<p><a href="https://github.com/mdn/css-examples/blob/master/css-cookbook/breadcrumb-navigation--download.html">Download this example</a></p>
</div>

<div class="notecard note">
<p><strong>Note</strong>: The example above uses two selectors to insert content before every <code>li</code> except the first one. This could also be achieved using one selector only:</p>

<pre class="notranslate">.breadcrumb li:not(:first-child)::before {
  content: "→";
}
</pre>

<p>This solution uses a more complex selector, but requires less rules. Feel free to choose the solution that you prefer.</p>
</div>

<h2 id="Choices_made">Choices made</h2>

<p>This pattern is laid out using a simple flex layout demonstrating how a line of CSS can give us our navigation. The separators are added using CSS Generated Content. You could change these to any separator that you like.</p>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>I have used the <code>aria-label</code> and <code>aria-current</code> attributes to help users understand what this navigation is and where the current page is in the structure. See the related links for more information.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>The various layout methods have different browser support. See the charts below for details on basic support for the properties used.</p>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<h4 id="Flexbox">Flexbox</h4>

<p>{{Compat("css.properties.flex")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout">CSS Flexible Box Layout</a></li>
 <li><a href="https://www.w3.org/TR/WCAG20-TECHS/G65.html">Providing a Breadcrumb Trail</a></li>
 <li><a href="https://tink.uk/using-the-aria-current-attribute/">Using the aria-current attribute</a></li>
</ul>
